- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IUserManager
TAuthManager
TAuthorizationRule
TAuthorizationRuleCollection
TDbUser
TDbUserManager
TSecurityManager
TSecurityManagerValidationMode
TUser
TUserManager
TUserManagerPasswordMode

Keyword

# Interface IUserManager

IUserManager interface

IUserManager specifies the interface that must be implemented by a user manager class if it is to be used together with TAuthManager and TUser.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | getGuestName ()
TUser | getUser ( string $username) Returns a user instance given the user name.
TUser | getUserFromCookie ( THttpCookie $cookie) Returns a user instance according to auth data stored in a cookie.
void | saveUserToCookie ( THttpCookie $cookie) Saves user auth data into a cookie.
boolean | validateUser ( string $username, string $password) Validates if the username and password are correct.

Method Details

## getGuestName

public string getGuestName | ()

Output
string | name for a guest user.
Exception

## getUser

public TUser getUser | (string $username )

Returns a user instance given the user name.

Input
string | $username | user name, null if it is a guest.
Output
TUser | the user instance, null if the specified username is not in the user database.
Exception

## getUserFromCookie

public TUser getUserFromCookie | (THttpCookie $cookie )

Returns a user instance according to auth data stored in a cookie.

Input
THttpCookie | $cookie | the cookie storing user authentication information
Output
TUser | the user instance generated based on the cookie auth data, null if the cookie does not have valid auth data.
Exception

## saveUserToCookie

public void saveUserToCookie | (THttpCookie $cookie )

Saves user auth data into a cookie.

Input
THttpCookie | $cookie | the cookie to receive the user auth data.
Output
Exception

## validateUser

public boolean validateUser | (string $username , string $password )

Validates if the username and password are correct.

Input
string | $username | user name
string | $password | password
Output
boolean | true if validation is successful, false otherwise.
Exception